#!/bin/bash
# 1st parameter : size of a unit square 
# 2nd parameter : raw_image name
# 3rd parameter : x_crop coordinates xSquareSize
# 4th parameter : y_crop coordinates xsquareSize
# 5th parameter : w_crop value xSquareSize
# 6th parameter : h_crop value xSquareSize
# 7th parameter : output image
# 8th parameter : relative path to log file
function CropImage()
{
	let "XC = ${1} * ${3}"
	let "YC = ${1} * ${4}"
	let "WC = ${1} * ${5}"
	let "HC = ${1} * ${6}"
	convert ${2} -crop ${WC}'x'${HC}'+'${XC}'+'${YC} ${7}
}

# 1st parameter : size of a unit square in Mercenaries
# 2nd parameter : logical square size for cropping 
# 3rd parameter : raw_image name
# 4th parameter : x_crop coordinates xSquareSize
# 5th parameter : y_crop coordinates xsquareSize
# 6th parameter : w_crop value xSquareSize
# 7th parameter : h_crop value xSquareSize
# 8th parameter : output image
# 9th parameter : relative path to log file

function CropImage2()
{
	let "XC = $2 * $4"
	let "YC = $2 * $5"
	let "WC = $2 * $6"
	let "HC = $2 * $7"
	convert ${3} -crop ${WC}'x'${HC}'+'${XC}'+'${YC} ${8}
}

# 1st parameter : size of a unit square in Mercenaries
# 2nd parameter : to modify file
# 3rd parameter : relative path to log file
function TrimAndRepage
{
	mogrify -trim +repage ${2}
}

# 1st parameter : size of a unit square in Mercenaries
# 2nd parameter : lower image file name
# 3rd parameter : above image file name
# 4th parameter : resulting image from two precedent joined images
# 5th parameter : relative path to log file
function StackImages
{
	convert ${2} ${3} -compose over -composite ${4}
}